package intrinsic.mx.managers;

public class CursorManager extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";
	public static final int NO_CURSOR = 0;

	/** Class Accessors */
	public static double currentCursorYOffset;
	public static double currentCursorXOffset;
	public static int currentCursorID;

	/** Class variables */

/** Contructors */
public CursorManager() {
}


/** Static Methods */
public static native void setBusyCursor();
public static native void removeAllCursors();
public static native int setCursor(intrinsic.Class arg0);
public static native int setCursor(intrinsic.Class arg0, int arg1);
public static native int setCursor(intrinsic.Class arg0, int arg1, double arg2);
public static native int setCursor(intrinsic.Class arg0, int arg1, double arg2, double arg3);
public static native int setCursor(intrinsic.Class arg0, int arg1, double arg2, double arg3, intrinsic.mx.core.IUIComponent arg4);
public static native void removeCursor(int arg0);
public static native void showCursor();
public static native void removeBusyCursor();
public static native void unRegisterToUseBusyCursor(Object arg0);
public static native void hideCursor();
public static native void registerToUseBusyCursor(Object arg0);

/** Methods */

}
